package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag708;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT708Creator;

/**
 * @author wuzhe
 * @date 2023/2/27
 */
public class Tag46BCreator extends AbsTagCreate {

     private MT708Creator mt708Creator;

    public Tag46BCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt708Creator= (MT708Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag46BValue = mt708Creator.getDocumentsRequired();
        mt708Creator.set("46B", tag46BValue);
    }
}
